Loading...
Searching...
No Matches
juce::MPEZone Struct Reference

## Detailed Description

This struct represents an MPE zone.

It can either be a lower or an upper zone, where:

- A lower zone encompasses master channel 1 and an arbitrary number of ascending MIDI channels, increasing from channel 2.
- An upper zone encompasses master channel 16 and an arbitrary number of descending MIDI channels, decreasing from channel 15.

It also defines a pitchbend range (in semitones) to be applied for per-note pitchbends and master pitchbends, respectively.

The documentation for this struct was generated from the following file:

- juce_audio_basics/mpe/juce_MPEZoneLayout.h

## Public Types

enum class | Type { lower , upper }

## Public Member Functions

| MPEZone ()=default
| MPEZone (Type type, int memberChannels=0, int perNotePitchbend=48, int masterPitchbend=2)
bool | isLowerZone () const noexcept
bool | isUpperZone () const noexcept
bool | isActive () const noexcept
int | getMasterChannel () const noexcept
int | getFirstMemberChannel () const noexcept
int | getLastMemberChannel () const noexcept
bool | isUsingChannelAsMemberChannel (int channel) const noexcept
bool | isUsing (int channel) const noexcept
bool | operator== (const MPEZone &other) const
bool | operator!= (const MPEZone &other) const

## Public Attributes

Type | zoneType = Type::lower
int | numMemberChannels = 0
int | perNotePitchbendRange = 48
int | masterPitchbendRange = 2

## Static Public Attributes

static constexpr int | lowerZoneMasterChannel = 1
static constexpr int | upperZoneMasterChannel = 16

## Member Enums

## Type

enum class juce::MPEZone::Type

strong

Enumerator
lower |
upper |

## Constructors and Destructors

## MPEZone() [1/2]

juce::MPEZone::MPEZone | ( |  | ) |

default

Referenced by operator!=(), and operator==().

## MPEZone() [2/2]

juce::MPEZone::MPEZone | ( | Type | type,
|  | int | memberChannels = 0,
|  | int | perNotePitchbend = 48,
|  | int | masterPitchbend = 2 )

inline

References masterPitchbendRange, numMemberChannels, perNotePitchbendRange, and zoneType.

## Member Functions

## isLowerZone()

bool juce::MPEZone::isLowerZone | ( |  | ) | const

inline noexcept

References lower, and zoneType.

Referenced by getFirstMemberChannel(), getLastMemberChannel(), getMasterChannel(), and isUsingChannelAsMemberChannel().

## isUpperZone()

bool juce::MPEZone::isUpperZone | ( |  | ) | const

inline noexcept

References upper, and zoneType.

## isActive()

bool juce::MPEZone::isActive | ( |  | ) | const

inline noexcept

References numMemberChannels.

Referenced by isUsing().

## getMasterChannel()

int juce::MPEZone::getMasterChannel | ( |  | ) | const

inline noexcept

References isLowerZone(), lowerZoneMasterChannel, and upperZoneMasterChannel.

Referenced by isUsing().

## getFirstMemberChannel()

int juce::MPEZone::getFirstMemberChannel | ( |  | ) | const

inline noexcept

References isLowerZone(), lowerZoneMasterChannel, and upperZoneMasterChannel.

## getLastMemberChannel()

int juce::MPEZone::getLastMemberChannel | ( |  | ) | const

inline noexcept

References isLowerZone(), lowerZoneMasterChannel, numMemberChannels, and upperZoneMasterChannel.

Referenced by isUsingChannelAsMemberChannel().

## isUsingChannelAsMemberChannel()

bool juce::MPEZone::isUsingChannelAsMemberChannel | ( | int | channel | ) | const

inline noexcept

References getLastMemberChannel(), isLowerZone(), lowerZoneMasterChannel, and upperZoneMasterChannel.

Referenced by isUsing().

## isUsing()

bool juce::MPEZone::isUsing | ( | int | channel | ) | const

inline noexcept

References getMasterChannel(), isActive(), and isUsingChannelAsMemberChannel().

## operator==()

bool juce::MPEZone::operator== | ( | const MPEZone & | other | ) | const

References MPEZone().

## operator!=()

bool juce::MPEZone::operator!= | ( | const MPEZone & | other | ) | const

References MPEZone().

## Member Data Documentation

## lowerZoneMasterChannel

int juce::MPEZone::lowerZoneMasterChannel = 1

static constexpr

Referenced by getFirstMemberChannel(), getLastMemberChannel(), getMasterChannel(), and isUsingChannelAsMemberChannel().

## upperZoneMasterChannel

int juce::MPEZone::upperZoneMasterChannel = 16

static

Referenced by getFirstMemberChannel(), getLastMemberChannel(), getMasterChannel(), and isUsingChannelAsMemberChannel().

## zoneType

Type juce::MPEZone::zoneType = Type::lower

Referenced by isLowerZone(), isUpperZone(), and MPEZone().

## numMemberChannels

int juce::MPEZone::numMemberChannels = 0

Referenced by getLastMemberChannel(), isActive(), and MPEZone().

## perNotePitchbendRange

int juce::MPEZone::perNotePitchbendRange = 48

Referenced by MPEZone().

## masterPitchbendRange

int juce::MPEZone::masterPitchbendRange = 2

Referenced by MPEZone().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited